<ion-view view-title="Court Details" cache-view="false">
  <ion-nav-buttons side="right">
    <!--<button class="button button-icon icon ion-plus-circled" ng-click="createGame()"></button>-->
  </ion-nav-buttons>
  <ion-content>
	<ion-refresher on-refresh="doRefresh()"></ion-refresher>
	<div class="court_profile">
		<div class="court-profile-img">
		  <img src="{{court.imageUrl}}" alt="{{ court.name }}" class="img-circle">
		<div class="court-name"><h3>{{ court.name }}</h3></div>
		<div class="court-address"> {{ court.address }} </div> 
			<div class="court-others">
			  <div class="text-left"><i class="icon ion-iphone"></i><span>{{court.contact}}</span></div> 
			  <div class="text-left"><i class="icon ion-ios-eye-outline"></i><span>{{court.website}}</span></div>  			  
			  <div class="text-left"><i class="icon ion-ios-clock-outline"></i><span>{{court.open_hours_start}} - {{court.open_hours_end}}</span></div>  			  
			</div> 		
		</div>
		<div class="spinner" ng-hide="gamesLoaded">
			<div class="bounce1"></div>
			<div class="bounce2"></div>
			<div class="bounce3"></div>
		</div>
	</div>
    <div class="list game-lists">
      <a class="item item-avatar item-icon-right item-no-padding-left" ng-repeat="game in games | filter:{status:1}" ng-click="viewGame(game.$id,game.booked, game)">
		<div ng-if="game.game_type" class="type{{game.game_type}} game_badge">{{game.game_type}}</div>
		<div ng-if="!game.game_type" class="available game_badge">Available</div>
        <h2>{{ game.startTime | date:'hh:mm a' }} - {{ game.endTime | date:'hh:mm a' }}
        </h2>
		<!-- {{ /* (game.startTime-0) | amAdd : game.duration : 'hours' | amDateFormat : 'h:mm a' */}} -->
        <p>{{ game.title ? game.title : 'PLEASE BOOK ME'}}</p>
        <i class="icon ion-ios-arrow-forward"></i>
      </a>
    </div>
  </ion-content>
  <!-- Add Game Modal -->
  <script id="create-game-modal.html" type="text/ng-template">
    <ion-modal-view>
      <ion-header-bar class="bar-royal">
        <h1 class="title">Create Game</h1>
        <div class="buttons">
          <button class="button button-icon icon ion-close-round" ng-click="closeCreateGame()"></button>
        </div>
      </ion-header-bar>
      <ion-content class="padding">
        <h3 class="text-center">SET GAME DETAILS</h3>
        <div class="list">
          <!--<label class="item item-input item-select">
                   <div class="input-label">Type
                   </div>
                   <select ng-model="game.type" ng-change="changeGameType(game.type)">
                     <option value="3v3">3 vs 3</option>
                     <option value="5v5">5 vs 5</option>
                     Game 
                   </select>
                 </label>-->
          <label class="item item-input">
                 <i class="icon ion-navigate placeholder-icon"></i>
                 <span class="input-label">Place</span>
                 <input type="text" ng-model="game.place" disabled="disabled">
             </label>
             <!--<label class="item item-input">
                <i class="icon ion-clock placeholder-icon"></i>
                <span class="input-label">Time</span>
                <input type="time" ng-model="time_start" ng-change="setGameTime(time_start)">
            </label>
          <div class="item range">
            1
            <input type="range" name="volume" ng-model="game.duration" min="1" max="2" ng-change="changeGameDuration(game.duration)">            2
          </div>-->
        </div>
        <button class="button button-block button-royal" ng-click="addGame()" angular-ripple>
              Create
          </button>
      </ion-content>
    </ion-modal-view>
    <!-- Add Game Modal -->
  </script>
</ion-view>
